#
# spec file for package xed
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xed
Version:        1.2.0
Release:        1.1
Summary:        A small and lightweight text editor
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/xed
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(enchant)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sm)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
xed is a small, but powerful text editor designed for the Cinnamon
desktop and others. It has most standard text editor functions and
fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

xed is extensible through a plugin system, which currently
includes support for spell checking, comparing files, viewing VCS
ChangeLogs, and adjusting indentation levels.

%package devel
Summary:        Small and lightweight text editor
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       pkgconfig
Requires:       pkgconfig(gtksourceview-3.0)

%description devel
xed is a small, but powerful text editor designed for the Cinnamon
desktop and others. It has most standard text editor functions and
fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

xed is extensible through a plugin system, which currently
includes support for spell checking, comparing files, viewing VCS
ChangeLogs, and adjusting indentation levels.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%post
/sbin/ldconfig
%desktop_database_post
%glib2_gsettings_schema_post

%postun
/sbin/ldconfig
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man?/%{name}.?%{?ext_man}
%{_datadir}/help/C/%{name}/

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Nov  2 2016 sor.alexei@meowr.ru
- Update to version 1.2.0:
  * configure: Don't require passing --with-gtk=3.0 to build.
  * Add "notepad" to the list of menu item keywords.
  * When running as root, add an infobar to warn about
    Elevated Privileges.
  * Toolbar: Don't emphasise toolbar items (save, open, undo).
  * Give Xed a Sublime-like searchbar.
  * Reformat code to conform to Mint coding style.
  * Default Settings: Change line width to 120 chars and enable
    "insert-spaces".
  * toolbar: Revamp the main toolbar style.
  * ui: Convert the remaining actions to use symbolic icons.
  * prefs: Remove now unused toolbar style prefs.
  * ui: Don't hide the main notebook tabs in fullscreen.
  * xed-close-button: Convert to using a symbolic icon.
  * filebrowser-plugin: Convert most icons to symbolic icons.
  * Update the pot file.
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.6:
  * xed-notebook.c: Check vertical mouse position when determining
    whether a tab is being manipulated. We were just checking
    horizontal position, which meant that depending on where you
    start a drag-and-drop, it might think you're trying to drag a
    tab instead, causing undesirable behaviour.
  * Update translations.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 1.0.5:
  * Update translations.
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.4 (changes since 1.0.2):
  * Fix wrong dconf paths.
  * Switch to gnome-common.
  * Fix few build warnings.
  * GTK+ 3.10 compatibility.
  * notebooks: Remove the extra frame from the main and documents
    panel scrolled windows.
  * Use Ctrl+Y for Redo.
  * Update translations.
* Sun Feb  7 2016 sor.alexei@meowr.ru
- Initial package, based on pluma's package.
